# Method: customBiddingAlgorithms.scripts.get

> [!WARNING]
> Display \& Video 360 API v1 has been sunset.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms.scripts/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms.scripts/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms.scripts/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms.scripts/get#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms.scripts/get#body.response_body)
- [Authorization Scopes](https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms.scripts/get#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms.scripts/get#try-it)

Gets a custom bidding script.

### HTTP request

`GET https://displayvideo.googleapis.com/v1/customBiddingAlgorithms/{customBiddingAlgorithmId}/scripts/{customBiddingScriptId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customBiddingAlgorithmId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the custom bidding algorithm owns the script. |
| `customBiddingScriptId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the custom bidding script to fetch. |

### Query parameters

| Parameters ||
|---|---|
| Union parameter `accessor`. Required. Identifies the DV360 entity that owns the parent custom bidding algorithm. It can be either a partner or an advertiser. `accessor` can be only one of the following: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that owns the parent custom bidding algorithm. Only this partner will have write access to this custom bidding script. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that owns the parent custom bidding algorithm. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v1/customBiddingAlgorithms.scripts#CustomBiddingScript`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).